searchData={"items":[{"type":"module","title":"OpentelemetryBreathalyzer","doc":"Breathalyzer is an OpenTelemetry tracker for Absinthe.\n\n* Add it to your dependencies:\n\n```\ndefp deps do\n  [\n    ...,\n    {:opentelemetry_breathalyzer, \"~> 0.1.0\"}\n  ]\nend\n```\n\n* Configure it:\n\n```\nconfig :opentelemetry_breathalyzer, :track,\n  execute_operation: [\n    request_document: true,\n    request_schema: true,\n    request_selections: false,\n    request_variables: true,\n    request_complexity: false,\n    response_errors: true,\n    response_result: false,\n    request_context: [[:current_user, :id]]\n  ]\n```\n\n* And setup it just before your application supervisor starts:\n\n```\n  defmodule MyApplication do\n    def start(_type, args) do\n      opts = [strategy: :one_for_one, name: MySupervisor]\n      OpentelemetryBreathalyzer.setup()\n      Supervisor.start_link(children(args), opts)\n  end\nend\n```\n\n* There you go. You should start seeing traces popping into your OpenTelemetry store.","ref":"OpentelemetryBreathalyzer.html"},{"type":"function","title":"OpentelemetryBreathalyzer.attach_execute_middleware_handler/1","doc":"","ref":"OpentelemetryBreathalyzer.html#attach_execute_middleware_handler/1"},{"type":"function","title":"OpentelemetryBreathalyzer.attach_execute_operation_handler/1","doc":"","ref":"OpentelemetryBreathalyzer.html#attach_execute_operation_handler/1"},{"type":"function","title":"OpentelemetryBreathalyzer.attach_resolve_field_handler/1","doc":"","ref":"OpentelemetryBreathalyzer.html#attach_resolve_field_handler/1"},{"type":"function","title":"OpentelemetryBreathalyzer.detach_execute_middleware_handler/0","doc":"","ref":"OpentelemetryBreathalyzer.html#detach_execute_middleware_handler/0"},{"type":"function","title":"OpentelemetryBreathalyzer.detach_execute_operation_handler/0","doc":"","ref":"OpentelemetryBreathalyzer.html#detach_execute_operation_handler/0"},{"type":"function","title":"OpentelemetryBreathalyzer.detach_resolve_field_handler/0","doc":"","ref":"OpentelemetryBreathalyzer.html#detach_resolve_field_handler/0"},{"type":"function","title":"OpentelemetryBreathalyzer.setup/1","doc":"","ref":"OpentelemetryBreathalyzer.html#setup/1"},{"type":"function","title":"OpentelemetryBreathalyzer.teardown/0","doc":"","ref":"OpentelemetryBreathalyzer.html#teardown/0"}],"content_type":"text/markdown"}